
QGIS Application - Bug report #16867

browser shows empty pane after loading an Oracle layer

2017-07-14 10:48 AM - Richard Duivenvoorde

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24766

Description

In  current master commit:0d9945d

In the browser/Data Source Manager, when I connect to an Oracle database, and add one if it's layers, the original widget is removed and

I see only an empty pane.

History

#1 - 2017-07-14 01:51 PM - Giovanni Manghi

- Status changed from Open to Feedback
Hi Richard, if in master this is the new and only way to access the datasources (other than DB Manager), then I should say that this must be tagged as a

regression. Agree?

#2 - 2017-07-14 02:57 PM - Richard Duivenvoorde

- Regression? changed from No to Yes

Yep, agreed and done.

I did not realize that also via the menu 'add layer' you will get the 'data source manager dialog'.

I cannot test this on another machine (nor Windows, not Linux), so hope somebody can confirm this first...

#3 - 2017-07-14 03:00 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Feedback to Open

#4 - 2018-09-23 02:44 PM - Jürgen Fischer

- Description updated

#5 - 2018-12-28 12:24 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#6 - 2018-12-28 02:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#7 - 2019-01-10 04:17 PM - Richard Duivenvoorde

- Status changed from Feedback to Closed

It is working here both in current versions 3.4.3 and in master now!

Will close it.

#8 - 2019-01-10 04:18 PM - Giovanni Manghi

- Resolution set to fixed/implemented
